vty_app_info Struct Reference
VTY (Virtual TTY) interface

`#include <vty.h>`

## Data Fields

const char * | name
| name of the application
const char * | version
| version string of the application
const char * | copyright
| copyright string of the application
void * | tall_ctx
| talloc context
int(* | go_parent_cb )(struct vty *vty)
| call-back for returning to parent n ode
int(* | is_config_node )(struct vty *vty, int node)
| call-back to determine if node is config node
int(* | config_is_consistent )(struct vty *vty)
| Check if the config is consistent before write.

## Detailed Description

Information an application registers with the VTY

The documentation for this struct was generated from the following file:

- include/osmocom/vty/vty.h